Bug 233168 - security/ossec-hids build fix
Summary: security/ossec-hids build fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL: http://package19.nyi.freebsd.org/data...
Keywords:
Depends on:
Blocks: 233291
  Show dependency treegraph
 
Reported: 2018-11-12 15:28 UTC by Dominik Lisiak
Modified: 2018-11-27 01:59 UTC (History)
0 users

See Also:


Attachments
ossec-hids-3.1.0_1.diff (20.27 KB, patch)
2018-11-12 15:28 UTC, Dominik Lisiak
no flags Details | Diff
ossec-hids-3.1.0_1.diff (23.05 KB, patch)
2018-11-19 11:51 UTC, Dominik Lisiak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominik Lisiak 2018-11-12 15:28:51 UTC
Created attachment 199172 [details]
ossec-hids-3.1.0_1.diff

The patch contains important fix, which allows building packages as non-root user. The goal is to fix the build.

Additionally:
- new option PGSQL_SC has been added to ossec-hids-*-config ports
- improved option descriptions

The patch should be applied on ports tree root.
Comment 1 Dominik Lisiak 2018-11-19 11:51:28 UTC
Created attachment 199338 [details]
ossec-hids-3.1.0_1.diff

Added patch provided in bug #233291.
Comment 2 commit-hook freebsd_committer 2018-11-27 01:58:15 UTC
A commit references this bug:

Author: swills
Date: Tue Nov 27 01:58:03 UTC 2018
New revision: 485977
URL: https://svnweb.freebsd.org/changeset/ports/485977

Log:
  security/ossec-hids-local: build fix as user [1]

  While here:

  - add new option PGSQL_SC ossec-hids-*-config [1]
  - improved option descriptions [1]
  - fix build with GCC-based architectures [2]

  PR:		233168 [1]
  PR:		233291 [2]
  Submitted by:	Dominik Lisiak <dominik.lisiak@bemsoft.pl> (maintainer) [1]
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl> [2]
  Approved by:	Dominik Lisiak <dominik.lisiak@bemsoft.pl> (maintainer) [2]

Changes:
  head/security/ossec-hids-local/Makefile
  head/security/ossec-hids-local/files/patch-src_Makefile
  head/security/ossec-hids-local-config/Makefile
  head/security/ossec-hids-local-config/files/template-syscheck-pgsql.xml.in
  head/security/ossec-hids-local-config/opt-logs.mk
  head/security/ossec-hids-local-config/opt-syscheck.mk
Comment 3 Steve Wills freebsd_committer 2018-11-27 01:59:36 UTC
Committed, thanks!